Bug 431140 - Laptop HP Compaq 6710b crashes when lid is closed
Laptop HP Compaq 6710b crashes when lid is closed
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
i686 Linux
low Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-31 17:55 EST by Bart van Kuik
Modified: 2009-01-09 00:53 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 00:53:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Kernel dump after closing and opening the lid of a HP Compaq 6710b laptop (1.61 MB, image/png)
2008-02-01 06:16 EST, Bart van Kuik
no flags Details

  None (edit)
Description Bart van Kuik 2008-01-31 17:55:31 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.1.10) Gecko/20071213 Fedora/2.0.0.10-3.fc8 Firefox/2.0.0.10

Description of problem:
I've installed Fedora 8 from a live CD on a laptop, the HP Compaq 6710b.

When the lid is closed and opened, the laptop is crashed. This happens both when running X as well as on the virtual console. When on the virtual console, it displays a kernel dump after opening the lid.

This problem is remedied by running the following command as root:

  echo 1 > /proc/acpi/video/C098/DOS

This line can be added to /etc/rc.d/rc.local to make it permanent.


Version-Release number of selected component (if applicable):
kernel-2.6.23.14-107.fc8

How reproducible:
Always


Steps to Reproduce:
1. Wait until laptop is booted
2. Close, then reopen lid


Actual Results:
Observe how screen is redrawn, but laptop does not react to keyboard or mouse.
The Caps Lock LED is also on. The laptop can only be shut down by pressing and holding the power switch.

Expected Results:
On a default install, it should not be necessary for the user to use the workaround mentioned in the description.

Additional info:
Comment 1 Chuck Ebbert 2008-01-31 18:04:39 EST
Please take a picture of the screen with the dump on it and attach that to this
bug report.
Comment 2 Bart van Kuik 2008-02-01 03:36:13 EST
I can't reproduce this anymore. The previous value of /proc/acpi/video/C098/DOS
was '3' (without quotes).

When reapplying this setting, the crash still isn't reproducible.
Comment 4 Bart van Kuik 2008-02-01 06:16:13 EST
Created attachment 293711 [details]
Kernel dump after closing and opening the lid of a HP Compaq 6710b laptop
Comment 5 Bart van Kuik 2008-02-01 06:17:16 EST
OK, can reproduce again. After rebooting the value of /proc/acpi/video/C098/DOS
is by default set to 0. When going to the virtual console and pressing the lid
button a few times, the following line is printed on the console:

BUG: unable to handle kernel paging request at virtual address 00004005

This can be reliably reproduced with the /proc/acpi/video/C098/DOS setting on 0.
Once, I got a kernel dump (it's attached). This cannot be reliably reproduced.

When the /proc/acpi/video/C098/DOS setting is set to 1, the laptop doesn't crash
and no messages are displayed.

Comment 6 Bug Zapper 2008-11-26 04:39:32 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-01-09 00:53:39 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.